#
# spec file for package libzia
#
# Copyright (c) 2021 Walter Fey DL8FCL
# Copyright (c) 2022 Walter Fey DL8FCL
# Copyright (c) 2025 Andreas Stieger <Andreas.Stieger@gmx.de>
#
# This file is under MIT license
#
# Please submit bugfixes or comments via https://bugs.opensuse.org/
#

%define soname 4_67
Name:           libzia
Version:        4.67
Release:        1.2
Summary:        Libraries for tucnak
License:        GPL-2.0-or-later
Group:          Development/Libraries/C and C++
URL:            https://tucnak.nagano.cz
Source:         https://tucnak.nagano.cz/%{name}-%{version}.tar.gz
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(SDL2_ttf) >= 2.0.12
BuildRequires:  pkgconfig(glib-2.0) >= 2.30.0
BuildRequires:  pkgconfig(gnutls) >= 3.5.8
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.0.0
BuildRequires:  pkgconfig(libftdi1) >= 1.00
BuildRequires:  pkgconfig(libpng) >= 1.2.0
BuildRequires:  pkgconfig(sdl2) >= 2.0.5

%description
Libzia contains architecture-dependent code used by Tucnak and others.

%package -n %{name}-%{soname}
Summary:        Libraries for tucnak

%description -n %{name}-%{soname}
Libzia contains architecture-dependent code used by Tucnak and others.

This package contains the shared library.

%package devel
Summary:        Libzia header files
Group:          Development/Libraries/C and C++
Requires:       %{name}-%{soname} = %{version}

%description devel
Libzia contains architecture-dependent code used by Tucnak and others.

This package contains files needed for development with %{name}.

%prep
%autosetup -p1

%build
%configure \
	--disable-static \
	%{nil}
%make_build

%install
%make_install
find %{buildroot} -type f -name "*.la" -print -delete

%check
%make_build check

%ldconfig_scriptlets -n %{name}-%{soname}

%files -n %{name}-%{soname}
%license COPYING
%{_libdir}/libzia-%{version}.so
%{_datadir}/libzia/

%files devel
%license COPYING
%{_bindir}/zia-config
%{_libdir}/libzia.so
%{_includedir}/libzia
%{_libdir}/pkgconfig/libzia.pc
%exclude %{_prefix}/lib/libzia

%changelog
* Thu Feb 13 2025 Andreas Stieger <andreas.stieger@gmx.de>
- update to 4.67:
  * companion release to tucnak 4.67, no upstream changelog
* Sat Jan 11 2025 Andreas Stieger <andreas.stieger@gmx.de>
- update to 4.64
  * many upstream improvements and bug fixes
- convert to use SDL2
- drop libzia-pc.diff, libzia-zbfd.h.diff
- fix packaging for openSUSE Factory
* Fri Jan 29 2021 Mariusz Woźniak <sp6ina@c44.pl>
- update to version 4.34
* Fri Jan 29 2021 Mariusz Woźniak <sp6ina@wp.pl>
- update to version 4.25
* Sat Jun  8 2019 Wojciech Kazubski <wk@ire.pw.edu.pl>
- update to version 4.16
* Fri Feb 22 2019 Wojciech Kazubski <wk@ire.pw.edu.pl>
- update to version 4.15
* Sat Feb 18 2017 dl8fcl@darc.de
- update to version 4.09
* Sun Aug 21 2016 dl8fcl@t-online.de
- update to version 4.08
* Wed May 11 2016 dl8fcl@t-online.de
- update to version 4.07
* Tue Feb 23 2016 dl8fcl@t-online.de
- update to version 4.05
* Thu Oct 22 2015 dl8fcl@darc.de
- import into build service
